Get Contact Detail
curl --request GET \
--url https://api.example.com/api/messaging/contacts/{contact_id}/{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"phone_e164": "+255614853618",
"email": "john@example.com",
"attributes": {
"company": "Example Corp",
"position": "Manager"
},
"tags": ["VIP", "Customer"],
"is_active": true,
"opt_in_at": "2025-11-01T10:00:00Z",
"opt_out_at": null,
"created_at": "2025-11-01T10:00:00Z",
"updated_at": "2025-11-27T10:30:00Z"
}
Contact Management
Get Contact Detail
GET
/
api
/
messaging
/
contacts
/
{contact_id}
Get Contact Detail
curl --request GET \
--url https://api.example.com/api/messaging/contacts/{contact_id}/{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"phone_e164": "+255614853618",
"email": "john@example.com",
"attributes": {
"company": "Example Corp",
"position": "Manager"
},
"tags": ["VIP", "Customer"],
"is_active": true,
"opt_in_at": "2025-11-01T10:00:00Z",
"opt_out_at": null,
"created_at": "2025-11-01T10:00:00Z",
"updated_at": "2025-11-27T10:30:00Z"
}
Get detailed information about a specific contact.
Contact ID
Success Response (200)
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"phone_e164": "+255614853618",
"email": "john@example.com",
"attributes": {
"company": "Example Corp",
"position": "Manager"
},
"tags": ["VIP", "Customer"],
"is_active": true,
"opt_in_at": "2025-11-01T10:00:00Z",
"opt_out_at": null,
"created_at": "2025-11-01T10:00:00Z",
"updated_at": "2025-11-27T10:30:00Z"
}
⌘I